package com.ruoyi.project.ehs.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 工作票-危害物质对象 t_matter
 *
 * @author ruoyi
 * @date 2021-09-22
 */
public class TMatter extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一标识ID
     */
    private Long id;

    private List<String> matterFeatureList;

    private List<TMatterProtect> protects;

    public List<TMatterProtect> getProtects() {
        return protects;
    }

    public void setProtects(List<TMatterProtect> protects) {
        this.protects = protects;
    }

    /**
     * 删除标识
     */
    private Long delFlag;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createrCode;

    /**
     * 创建日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /**
     * 更新人
     */
    @Excel(name = "更新人")
    private String updaterCode;

    /**
     * 更新日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /**
     * 物料名称
     */
    @Excel(name = "物料名称")
    private String matterName;

    /**
     * 物料危险警告类型
     * 1:危险
     * 2：警告
     */
    @Excel(name = "物料危险警告类型")
    private Long matterType;

    /**
     * 相关危害集合
     */
    @Excel(name = "相关危害集合")
    private String matterFeatures;

    /**
     * 相关防护措施集合
     */
    @Excel(name = "相关防护措施集合")
    private String matterProtects;

    public List<String> getMatterFeatureList() {
        return matterFeatureList;
    }

    public void setMatterFeatureList(List<String> matterFeatureList) {
        this.matterFeatureList = matterFeatureList;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setDelFlag(Long delFlag) {
        this.delFlag = delFlag;
    }

    public Long getDelFlag() {
        return delFlag;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setCreaterCode(String createrCode) {
        this.createrCode = createrCode;
    }

    public String getCreaterCode() {
        return createrCode;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setUpdaterCode(String updaterCode) {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode() {
        return updaterCode;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName;
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterType(Long matterType) {
        this.matterType = matterType;
    }

    public Long getMatterType() {
        return matterType;
    }

    public void setMatterFeatures(String matterFeatures) {
        this.matterFeatures = matterFeatures;
    }

    public String getMatterFeatures() {
        return matterFeatures;
    }

    public void setMatterProtects(String matterProtects) {
        this.matterProtects = matterProtects;
    }

    public String getMatterProtects() {
        return matterProtects;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("delFlag", getDelFlag())
                .append("remarks", getRemarks())
                .append("createrCode", getCreaterCode())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .append("matterName", getMatterName())
                .append("matterType", getMatterType())
                .append("matterFeatures", getMatterFeatures())
                .append("matterProtects", getMatterProtects())
                .toString();
    }
}
